%define lib_major	0
%define api_version	2.0
%define lib_name	%mklibname %{name}_ %{lib_major}
%define develname	%mklibname %name -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		orbit2
Version:	2.14.19
Release:	%mkrel 22
Summary:	High-performance CORBA Object Request Broker
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/projects/ORBit2/
Source0:	https://download.gnome.org/sources/ORBit2/%{url_ver}/ORBit2-%{version}.tar.bz2
# (fc) 2.4.1-2mdk fix crash when /tmp is not readable
Patch0:		ORBit2-2.14.4-tmpdir.patch
# (cjw) relax memory leak test tolerance (50->200K) -- does not work, test disabled in patch3
Patch1:		ORBit2-2.14.19-leaktest.patch
Patch2:		ORBit2-2.14.19-automake-1.13.patch
Patch3:		ORBit2-2.14.19-skip-failing-test.patch
# (cjw) use a libtool convenience library instead of a static archive + fix dependencies
Patch4:		ORBit2-2.14.19-nostatic.patch
Patch5:		ORBit2-2.14.19-link.patch
Patch6:		ORBit2-2.14.19-glib-2.30.patch
BuildRequires:	pkgconfig(libIDL-2.0) >= 0.8.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	indent
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:  gtk-doc
Requires:	libidl2 >= 0.8.10
Provides:       linc = %{version}-%{release}
Provides:	ORBit2 = %{version}-%{release}
Obsoletes:	ORBit2 < 2.14.19-19

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.

%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes:	%{_lib}ORBit2_0 < 2.14.19-19

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.

%package -n %develname
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Provides:	libORBit2-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
# needed for orbit-idl-2
Requires:       indent
Obsoletes:      %{_lib}ORBit2-devel < 2.14.19-19

%description -n %develname
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.

%prep
%setup -qn ORBit2-%{version}
%patch0 -p1 -b .tmpdir
%patch1 -p1 -b .leaktest
%patch2 -p1 -b .automake-1_13
%patch3 -p1 -b .test
#patch4 -p1 -b .nostatic
%patch5 -p1 -b .linkorder
%patch6 -p1 -b .glib

%build
autoreconf -fi
%configure \
	--disable-gtk-doc \
	--enable-purify \
	--disable-static \
	--enable-compile-warnings=no
# Parallel build seems broken
# ** CRITICAL **: orbit_idl_output_c_deps: assertion 'ci->fh != NULL' failed
%__make

%check
%__make check

%install
%make_install

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

%files
%doc README.service-name AUTHORS NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%{_libdir}/lib*-2.so.%{lib_major}
%{_libdir}/lib*-2.so.%{lib_major}.*

%files -n %develname
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/libname-server-2.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 2.14.19-22.mga9
+ Revision: 1797765
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:
- Fixed a typo when generating the download link

* Wed Mar 04 2020 daviddavid <daviddavid> 2.14.19-21.mga8
+ Revision: 1553599
- disable parallel build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.14.19-20.mga7
+ Revision: 1300059
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.14.19-19.mga7
+ Revision: 1234281
- rename as orbit2
- drop multiarch support

* Sun Jun 03 2018 daviddavid <daviddavid> 2.14.19-18.mga7
+ Revision: 1234024
- fix requires from libIDL2 to libidl2

* Sat Feb 10 2018 daviddavid <daviddavid> 2.14.19-17.mga7
+ Revision: 1200036
- disable gtk-doc

* Mon Feb 29 2016 pterjan <pterjan> 2.14.19-16.mga6
+ Revision: 980628
- Rebuild now that all build node should have correct /etc/hosts

* Fri Feb 12 2016 umeabot <umeabot> 2.14.19-15.mga6
+ Revision: 956576
- Mageia 6 Mass Rebuild

* Thu Jan 28 2016 umeabot <umeabot> 2.14.19-14.mga6
+ Revision: 928487
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14.19-12.mga5
+ Revision: 687008
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.14.19-11.mga5
+ Revision: 677644
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.14.19-10.mga4
+ Revision: 532205
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 2.14.19-9.mga4
+ Revision: 467300
- add patch from pld to fix build with latest glib
- set enable as no
- disable compile warnings to error

* Wed Mar 27 2013 fwang <fwang> 2.14.19-8.mga3
+ Revision: 405438
- fix deps
- more link order fix

* Sun Mar 03 2013 fwang <fwang> 2.14.19-7.mga3
+ Revision: 401246
- tweak liknk and build order

* Tue Feb 12 2013 fwang <fwang> 2.14.19-6.mga3
+ Revision: 397962
- update file list
- disable patch4 as it breaks bonobo build

* Wed Jan 23 2013 cjw <cjw> 2.14.19-5.mga3
+ Revision: 391688
- patch4: try to fix parallel build with make -l<n>

* Fri Jan 11 2013 fwang <fwang> 2.14.19-4.mga3
+ Revision: 345243
- skipping failing test as upstream does not care (gnome#630933)
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ cjw <cjw>
- patch1: relax tolerance of leak test
- regenerate build scripts
  o patch2: fix build with automake 1.13

* Tue Sep 13 2011 fwang <fwang> 2.14.19-2.mga2
+ Revision: 142867
- update file list
- drop .la files

* Mon Jan 10 2011 dmorgan <dmorgan> 2.14.19-1.mga1
+ Revision: 5508
- imported package ORBit2

